/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_find_next_prime.c                               :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/20 14:31:43 by cchauvet          #+#    #+#             */
/*   Updated: 2022/07/25 17:37:57 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int	ft_is_prime(int nb)
{
	int			i;
	long int	nbr_out;

	if (nb < 0)
		nbr_out = (long int) -nb;
	else
		nbr_out = (long int) nb;
	i = 2;
	while (i <= nbr_out / i)
	{
		if (nbr_out % i == 0)
			return (0);
		i++;
	}
	return (1);
}

int	ft_find_next_prime(int nb)
{
	int	i;

	i = nb;
	while (ft_is_prime(i) == 0)
		i++;
	return (i);
}
