/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_iterative_power.c                               :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/19 17:17:04 by cchauvet          #+#    #+#             */
/*   Updated: 2022/08/01 15:00:30 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int	ft_iterative_power(int nb, int power)
{
	int	nbr_out;

	if (power < 0)
		return (0);
	if (power == 0)
		return (1);
	nbr_out = nb;
	while (--power > 0)
		nbr_out = nbr_out * nb;
	return (nbr_out);
}

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv)
{
    if (argc > 2)
        printf("%d", ft_iterative_power(atoi(argv[1]), atoi(argv[2])));
}
