/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_str_is_alpha.c                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/17 13:51:45 by cchauvet          #+#    #+#             */
/*   Updated: 2022/07/19 13:06:32 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int	ft_str_is_alpha(char *str)
{
	while (*str != 0)
	{
		if (!(('a' <= *str && *str <= 'z') || ('A' <= *str && 'Z' >= *str)))
		{
			return (0);
		}
		str++;
	}
	return (1);
}

/*
#include <unistd.h>

void	ft_putchar(char c)
{
	write(1, &c, 1);
}

int	main(void)
{
	ft_putchar(ft_str_is_alpha("ff")+'0');
	ft_putchar(ft_str_is_alpha("dfdf5f")+'0');
	ft_putchar(ft_str_is_alpha("GDGFSGF")+48);
	ft_putchar(ft_str_is_alpha("FG5DG")+48);
	ft_putchar(ft_str_is_alpha("")+48);
}
*/
