/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_sort_params.c                                   :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/20 16:37:02 by cchauvet          #+#    #+#             */
/*   Updated: 2022/07/20 16:58:45 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include <unistd.h>

void	ft_print(char *str)
{
	while (*str != 0)
		write(1, str++, 1);
}

int	ft_strcmp(char *s1, char *s2)
{
	while ((*s1 != 0 ) && (*s2 != 0) && (*s1 == *s2))
	{
		s1++;
		s2++;
	}
	return (*s1 - *s2);
}

int	ft_get_size(char *str)
{
	int	i;

	i = 0;
	while (str[i] != 0)
		i++;
	return (i);
}

void	ft_sort_int_tab(char **tab, int size)
{
	int		i;
	int		j;
	char	*tempo;

	i = 0;
	while (i < size)
	{
		j = 0;
		while (j < size - 1)
		{
			if (ft_strcmp(tab[j], tab[j + 1]) > 0)
			{
				tempo = tab[j];
				tab[j] = tab[j + 1];
				tab[j + 1] = tempo;
			}
			j++;
		}
		i++;
	}
}

int	main(int argc, char **argv)
{
	int	i;

	i = 1;
	ft_sort_int_tab(argv + 1, argc - 1);
	while (i < argc)
	{
		ft_print(argv[i]);
		ft_print("\n");
		i++;
	}
}
